﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Scripni.EditPathVariable.UI.Services;
using GalaSoft.MvvmLight.Ioc;

namespace Scripni.EditPathVariable.UI
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

		private void CommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
		{
			Application.Current.Shutdown(0);
		}

		private void MenuItem_Click(object sender, RoutedEventArgs e)
		{
			IDialogService dialogSvc = SimpleIoc.Default.GetInstance<IDialogService>();
			dialogSvc.DisplayAboutBox();
		}
    }
}
