﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Scripni.EditPathVariable.UI.ViewModels;
using GalaSoft.MvvmLight.Ioc;
using Scripni.EditPathVariable.UI.Services;

namespace Scripni.EditPathVariable.UI
{
    public class ViewModelLocator
    {
        static ViewModelLocator()
        {
            SimpleIoc.Default.Register<IDialogService, UiDialogService>();
            SimpleIoc.Default.Register<MainViewModel, MainViewModel>();
        }

        public MainViewModel Main
        {
            get
            {
                return SimpleIoc.Default.GetInstance<MainViewModel>();
            }
        }
    }
}
